require("mkdnflow").setup({
	modules = {
		bib = false,
		buffers = false,
		links = false,
		paths = false,
        folds = false,
	},
	links = {
		style = "wiki",
		name_is_source = true,
		conceal = true,
	},
	mappings = {
		-- disabling mapping's I don't need, because there are
		-- already built in neovim keybindings that do this,
		-- or I don't need their functionality
		-- (A lot of these become obsolete when using a lsp like marksman)
		MkdnEnter = false,
		MkdnGoBack = false,
		MkdnGoForward = false,
		MkdnCreateLinkFromClipboard = false,
		MkdnDestroyLink = false,
		MkdnMoveSource = false,
		MkdnYankAnchorLink = false,
		MkdnYankFileAnchorLink = false,
		-- I hate plugins hijacking my tab in insert mode
		MkdnTableNextCell = false,
		MkdnTablePrevCell = false,
		-- neovim has built in markdown folding now
		MkdnFoldSection = false,
		MkdnUnfoldSection = false,
		-- this just seems nicer
		MkdnIncreaseHeading = { "n", "<localleader>i" },
		MkdnDecreaseHeading = { "n", "<localleader>d" },
		-- normal ctrl+space is my thux binding
		MkdnToggleToDo = { "n", "<localleader>t" },
	},
})
